# UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_display_id_tab

class AudioMode:

Class `AudioMode` describes audio mode for Display ID tests. Allows working with audio mode parameters.

- Set and get channel count `channel_count`.
- Set and get sample size `sample_size`.
- Set and get sample rate `sample_rate`.
- Set and get audio type `audio_type`.

AudioMode(json_obj)
def clear(self):

Disable audio mode.

channel_count: int

Set and get channels count.

###### Returns:

> object of int type

sample_size: int

Set and get sample size.

###### Returns:

> object of int type

sample_rate: int

Set and get sample rate.

###### Returns:

> object of int type

audio_type: UniTAP.common.audio_mode.AudioFormat

Get audio type.

###### Returns:

> object of audio type

class DisplayIdDpAudioBase:
DisplayIdDpAudioBase(audio_mode_list)
audio_mode_1: AudioMode

Set and get audio mode 1.

###### Returns:

> object of `AudioMode` type

audio_mode_2: AudioMode

Set and get audio mode 2.

###### Returns:

> object of `AudioMode` type

audio_mode_3: AudioMode

Set and get audio mode 3.

###### Returns:

> object of `AudioMode` type

audio_mode_4: AudioMode

Set and get audio mode 4.

###### Returns:

> object of `AudioMode` type

audio_mode_5: AudioMode

Set and get audio mode 5.

###### Returns:

> object of `AudioMode` type

audio_mode_6: AudioMode

Set and get audio mode 6.

###### Returns:

> object of `AudioMode` type

audio_mode_7: AudioMode

Set and get audio mode 7.

###### Returns:

> object of `AudioMode` type

audio_mode_8: AudioMode

Set and get audio mode 8.

###### Returns:

> object of `AudioMode` type

def clear_all(self):

Clear all settings.

class DisplayIdDp14Audio(DisplayIdDpAudioBase):

Class `DisplayIdDp14Audio` contains 8 available audio modes for Display ID tests. Allows settings each mode.

- Audio mode 1 `audio_mode_1`.
- Audio mode 2 `audio_mode_2`.
- Audio mode 3 `audio_mode_3`.
- Audio mode 4 `audio_mode_4`.
- Audio mode 5 `audio_mode_5`.
- Audio mode 6 `audio_mode_6`.
- Audio mode 7 `audio_mode_7`.
- Audio mode 8 `audio_mode_8`.

DisplayIdDp14Audio(json_obj)

##### Inherited Members

DisplayIdDpAudioBase
  audio_mode_1
  audio_mode_2
  audio_mode_3
  audio_mode_4
  audio_mode_5
  audio_mode_6
  audio_mode_7
  audio_mode_8
  clear_all

class DisplayIdDp21Audio(DisplayIdDpAudioBase):

Class `DisplayIdDp21Audio` inherited of class`DisplayIdDp14Audio` allows working with parameters for Display ID LLCTS tests. Class `DisplayIdDp21Audio` has all the `DisplayIdDp14Audio` functionality.

DisplayIdDp21Audio(json_obj)

##### Inherited Members

DisplayIdDpAudioBase
  audio_mode_1
  audio_mode_2
  audio_mode_3
  audio_mode_4
  audio_mode_5
  audio_mode_6
  audio_mode_7
  audio_mode_8
  clear_all

class DmtTiming:

Class `DmtTiming` describes all available DMT timings for Display ID LLCTS tests. Allows enabling and disable timings.

- 800x600 60Hz `T_800x600_60Hz`.
- 1024x768 60Hz `T_1024x768_60Hz`.
- 1280x768 60Hz `T_1280x768_60Hz`.
- 1280x800 60Hz `T_1280x800_60Hz`.
- 1280x960 60Hz `T_1280x960_60Hz`.
- 1280x1024 60Hz `T_1280x1024_60Hz`.
- 1360x768 60Hz `T_1360x768_60Hz`.
- 1400x1050 60Hz `T_1400x1050_60Hz`.
- 1600x1200 60Hz `T_1600x1200_60Hz`.
- 1680x1050 60Hz `T_1680x1050_60Hz`.
- 1856x1392 60Hz `T_1856x1392_60Hz`.
- 1920x1080 60Hz `T_1920x1080_60Hz`.
- 1920x1200 60Hz `T_1920x1200_60Hz`.
- 1920x1440 60Hz `T_1920x1440_60Hz`.
- Disable all timings `clear_all`.

DmtTiming(json_obj)
T_800x600_60Hz: bool

Set and get 800x600 60Hz timing flag support.

###### Returns:

> object of bool type

T_1024x768_60Hz: bool

Set and get 1024x768 60Hz timing flag support.

###### Returns:

> object of bool type

T_1280x768_60Hz: bool

Set and get 1280x768 60Hz timing flag support.

###### Returns:

> object of bool type

T_1280x800_60Hz: bool

Set and get 1280x800 60Hz timing flag support.

###### Returns:

> object of bool type

T_1280x960_60Hz: bool

Set and get 1280x960 60Hz timing flag support.

###### Returns:

> object of bool type

T_1280x1024_60Hz: bool

Set and get 1280x1024 60Hz timing flag support.

###### Returns:

> object of bool type

T_1360x768_60Hz: bool

Set and get 1360x768 60Hz timing flag support.

###### Returns:

> object of bool type

T_1400x1050_60Hz: bool

Set and get 1400x1050 60Hz timing flag support.

###### Returns:

> object of bool type

T_1600x1200_60Hz: bool

Set and get 1600x1200 60Hz timing flag support.

###### Returns:

> object of bool type

T_1680x1050_60Hz: bool

Set and get 1680x1050 60Hz timing flag support.

###### Returns:

> object of bool type

T_1856x1392_60Hz: bool

Set and get 1856x1392 60Hz timing flag support.

###### Returns:

> object of bool type

T_1920x1080_60Hz: bool

Set and get 1920x1080 60Hz timing flag support.

###### Returns:

> object of bool type

T_1920x1200_60Hz: bool

Set and get 1920x1200 60Hz timing flag support.

###### Returns:

> object of bool type

T_1920x1440_60Hz: bool

Set and get 1920x1440 60Hz timing flag support.

###### Returns:

> object of bool type

def clear_all(self):

Disable all timings.

class CtaTiming:

Class `CtaTiming` describes all available DMT timings for Display ID LLCTS tests. Allows enabling and disable timings.

- 720x480 60Hz `T_720x480_60Hz`
- 1280x720 60Hz `T_1280x720_60Hz`
- 1920x1080 60Hz `T_1920x1080_60Hz`
- 1280x720 120Hz `T_1280x720_120Hz`
- 720x480 120Hz `T_720x480_120Hz`
- 1920x1080 120Hz `T_1920x1080_120Hz`
- 1680x720 60Hz `T_1680x720_60Hz`
- 1680x720 120Hz `T_1680x720_120Hz`
- 2560x1080 60Hz `T_2560x1080_60Hz`
- 2560x1080 120Hz `T_2560x1080_120Hz`
- 3840x2160 60Hz `T_3840x2160_60Hz`
- 4096x2160 60H `T_4096x2160_60Hz`
- 3840x2160 120Hz `T_3840x2160_120Hz`
- 5120x2160 60Hz `T_5120x2160_60Hz`
- 7680x4320 24Hz `T_7680x4320_24Hz`
- 7680x4320 30Hz `T_7680x4320_30Hz`
- Disable all timings `clear_all`.

CtaTiming(json_obj)
T_720x480_60Hz: bool

Set and get 720x480 60Hz timing flag support.

###### Returns:

> object of bool type

T_1280x720_60Hz: bool

Set and get 1280x720 60Hz timing flag support.

###### Returns:

> object of bool type

T_1920x1080_60Hz: bool

Set and get 1920x1080 60Hz timing flag support.

###### Returns:

> object of bool type

T_1280x720_120Hz: bool

Set and get 1280x720 120Hz timing flag support.

###### Returns:

> object of bool type

T_720x480_120Hz: bool

Set and get 720x480 120Hz timing flag support.

###### Returns:

> object of bool type

T_1920x1080_120Hz: bool

Set and get 1920x1080 120Hz timing flag support.

###### Returns:

> object of bool type

T_1680x720_60Hz: bool

Set and get 1680x720 60Hz timing flag support.

###### Returns:

> object of bool type

T_1680x720_120Hz: bool

Set and get 1680x720 120Hz timing flag support.

###### Returns:

> object of bool type

T_2560x1080_60Hz: bool

Set and get 2560x1080 60Hz timing flag support.

###### Returns:

> object of bool type

T_2560x1080_120Hz: bool

Set and get 2560x1080 120Hz timing flag support.

###### Returns:

> object of bool type

T_3840x2160_60Hz: bool

Set and get 3840x2160 60Hz timing flag support.

###### Returns:

> object of bool type

T_4096x2160_60Hz: bool

Set and get 4096x2160 60Hz timing flag support.

###### Returns:

> object of bool type

T_3840x2160_120Hz: bool

Set and get 3840x2160 120Hz timing flag support.

###### Returns:

> object of bool type

T_5120x2160_60Hz: bool

Set and get 5120x2160 60Hz timing flag support.

###### Returns:

> object of bool type

T_7680x4320_24Hz: bool

Set and get 7680x4320 24Hz timing flag support.

###### Returns:

> object of bool type

T_7680x4320_30Hz: bool

Set and get 7680x4320 30Hz timing flag support.

###### Returns:

> object of bool type

def clear_all(self):

Disable all timings.

class CvtTiming:

Class `CvtTiming` describes all available DMT timings for Display ID LLCTS tests. Allows enabling and disable timings.

- 1920x1080 60Hz RB1 `T_1920x1080_60Hz_RB1`.
- 2048x1536 60Hz RB1 `T_2048x1536_60Hz_RB1`.
- 2560x1080 60Hz RB1 `T_2560x1080_60Hz_RB1`.
- 2560x1440 60Hz RB1 `T_2560x1440_60Hz_RB1`.
- 2560x1440 60Hz RB2 `T_2560x1440_60Hz_RB2`.
- 3840x2160 60Hz RB1 `T_3840x2160_60Hz_RB1`.
- 3840x2160 60Hz RB2 `T_3840x2160_60Hz_RB2`.
- 3840x2160 60Hz RB3 `T_3840x2160_60Hz_RB3`.
- 4096x2160 60Hz RB1 `T_4096x2160_60Hz_RB1`.
- 4096x2160 60Hz RB2 `T_4096x2160_60Hz_RB2`.
- 4096x2160 60Hz RB3 `T_4096x2160_60Hz_RB3`.
- 5120x2880 60Hz RB1 `T_5120x2880_60Hz_RB1`.
- 5120x2880 60Hz RB2 `T_5120x2880_60Hz_RB2`.
- 5120x2880 60Hz RB3 `T_5120x2880_60Hz_RB3`.
- Disable all timings `clear_all`.

CvtTiming(json_obj)
T_1920x1080_60Hz_RB1: bool

Set and get 1920x1080 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_2048x1536_60Hz_RB1: bool

Set and get 2048x1536 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_2560x1080_60Hz_RB1: bool

Set and get 2560x1080 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_2560x1440_60Hz_RB1: bool

Set and get 2560x1440 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_2560x1440_60Hz_RB2: bool

Set and get 2560x1440 60Hz RB2 timing flag support.

###### Returns:

> object of bool type

T_3840x2160_60Hz_RB1: bool

Set and get 3840x2160 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_3840x2160_60Hz_RB2: bool

Set and get 3840x2160 60Hz RB2 timing flag support.

###### Returns:

> object of bool type

T_3840x2160_60Hz_RB3: bool

Set and get 3840x2160 60Hz RB3 timing flag support.

###### Returns:

> object of bool type

T_4096x2160_60Hz_RB1: bool

Set and get 4096x2160 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_4096x2160_60Hz_RB2: bool

Set and get 4096x2160 60Hz RB2 timing flag support.

###### Returns:

> object of bool type

T_4096x2160_60Hz_RB3: bool

Set and get 4096x2160 60Hz RB3 timing flag support.

###### Returns:

> object of bool type

T_5120x2880_60Hz_RB1: bool

Set and get 5120x2880 60Hz RB1 timing flag support.

###### Returns:

> object of bool type

T_5120x2880_60Hz_RB2: bool

Set and get 5120x2880 60Hz RB2 timing flag support.

###### Returns:

> object of bool type

T_5120x2880_60Hz_RB3: bool

Set and get 5120x2880 60Hz RB3 timing flag support.

###### Returns:

> object of bool type

def clear_all(self):

Disable all timings.

class DisplayIdDpVideoTimingsBase:
DisplayIdDpVideoTimingsBase(dmt_timings, cta_timings, cvt_timings)
dmt_timings: DmtTiming

Set and get DMT timings.

###### Returns:

> object of `DmtTiming` type

cta_timings: CtaTiming

Set and get CTA timings.

###### Returns:

> object of `CtaTiming` type

cvt_timings: CvtTiming

Set and get CVT timings.

###### Returns:

> object of `CvtTiming` type

def clear_all(self):

Disable all timings.

class DisplayIdDp14VideoTimings(DisplayIdDpVideoTimingsBase):

Class `DisplayIdDp14VideoTimings` allows working with all timings for Display ID LLCTS tests.

- Configure DMT timings `dmt_timings`.
- Configure CTA timings `cta_timings`.
- Configure CVT timings `cvt_timings`.
- Disable all timings `clear_all`.

DisplayIdDp14VideoTimings(json_obj)

##### Inherited Members

DisplayIdDpVideoTimingsBase
  dmt_timings
  cta_timings
  cvt_timings
  clear_all

class DisplayIdDp21VideoTimings(DisplayIdDpVideoTimingsBase):

Class `DisplayIdDp21VideoTimings` inherited of class`DisplayIdDp14VideoTimings` allows working with timings for Display ID LLCTS tests. Class `DisplayIdDp21VideoTimings` has all the `DisplayIdDp14VideoTimings` functionality.

DisplayIdDp21VideoTimings(json_obj)

##### Inherited Members

DisplayIdDpVideoTimingsBase
  dmt_timings
  cta_timings
  cvt_timings
  clear_all

class DisplayIdDpConfigTabBase:
DisplayIdDpConfigTabBase( max_stream_h_active, max_stream_v_active, max_stream_pixel_clock, display_id_audio, display_id_timings)
max_stream_h_active: int

Set and get maximum stream resolution H Active.

###### Returns:

> object of int type

max_stream_v_active: int

Set and get maximum stream resolution V Active.

###### Returns:

> object of int type

max_stream_pixel_clock: int

Set and get maximum stream pixel clock.

###### Returns:

> object of int type

audio: ~AudioDisplayIdParameters

Set and get audio settings.

###### Returns:

> object of `DisplayIdDp14Audio` type

general: ~GeneralDisplayIdParameters

Set and get timings settings.

###### Returns:

> object of `DisplayIdDp14VideoTimings` type

def clear_all(self):
class DisplayIdDp14ConfigTab(DisplayIdDpConfigTabBase):

Class `DisplayIdDp14ConfigTab` allows setting parameters for Display ID tests.

- Maximum stream resolution H Active `max_stream_h_active`.
- Maximum stream resolution V Active `max_stream_v_active`.
- Maximum stream pixel clock `max_stream_pixel_clock`.
- Audio modes `display_id_audio` type `DisplayIdDp14Audio`.
- Timings `display_id_timings` type `DisplayIdDp14VideoTimings`.
- Clear all settings `clear_all`.

DisplayIdDp14ConfigTab(json_obj)

##### Inherited Members

DisplayIdDpConfigTabBase
  max_stream_h_active
  max_stream_v_active
  max_stream_pixel_clock
  audio
  general
  clear_all

class DisplayIdDp21ConfigTab(DisplayIdDpConfigTabBase):

Class `DisplayIdDp21ConfigTab` inherited of class`DisplayIdDp14ConfigTab` allows working with parameters for Display ID LLCTS tests. Class `DisplayIdDp21ConfigTab` has all the `DisplayIdDp14ConfigTab` functionality.

DisplayIdDp21ConfigTab(json_obj)
dynamic_refresh_rate_h_active: int

Set and get Dynamic Refresh Rate h active.

###### Returns:

> object of int type

dynamic_refresh_rate_v_active: int

Set and get Dynamic Refresh Rate v active.

###### Returns:

> object of int type

dynamic_refresh_rate_pixel_clock: int

Set and get Dynamic Refresh Rate Pixel Clock.

###### Returns:

> object of int type

dynamic_refresh_rate_min_vertical: int

Set and get Dynamic Refresh Rate minimum vertical.

###### Returns:

> object of int type

dynamic_refresh_rate_max_vertical: int

Set and get Dynamic Refresh Rate maximum vertical.

###### Returns:

> object of int type

##### Inherited Members

DisplayIdDpConfigTabBase
  max_stream_h_active
  max_stream_v_active
  max_stream_pixel_clock
  audio
  general
  clear_all